$block-width: 14px;
$font-size: 16px;

.about-timeline {
  display: grid;
  gap: 1em;

  position: relative;

  div {
    display: grid;
    position: relative;

    b {
      display: flex;
      align-items: center;
      gap: 6px;
    }

    @media (min-width: 1000px) {
      &:nth-child(even) {
        justify-content: right;
        padding-right: calc(50% + #{$font-size} + 4px);
        text-align: right;
        b {
          justify-content: end;
        }
      }

      &:nth-child(odd) {
        padding-left: calc(50% + #{$font-size} + 4px);
      }
    }

    padding-left: $block-width + 12px;

    // Block
    &::before {
      content: "";
      position: absolute;
      width: $block-width;
      height: $block-width;
      background: var(--accent);

      left: 1px;
      top: $font-size * 2 - $block-width/2;

      transform: translate(-50%, -50%);

      @media (min-width: 1000px) {
        left: 0;
        right: 0;
        margin: auto;
        transform: translateY(-50%);
      }
    }
  }

  // Line
  &::before {
    $width: 2px;
    content: "";

    position: absolute;

    @media (min-width: 1000px) {
      left: 0;
      right: 0;
      margin: auto;
    }

    height: calc(100% - #{$font-size * 2 + $block-width} - 4px);
    width: $width;
    background: var(--accent);
    top: $font-size * 2 - $block-width/2;
  }
}
